Subject: bug#5303: 23.1.91; Cannot load .emacs-history from savehist.el

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Jan 2010 23:31:29 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>,
>         <[email-masked]>, <[email-masked]>
> Date: Tue, 19 Jan 2010 11:52:50 -0800
> 
> > > Please read the thread.
> > 
> > Is it so hard to just tell the bottom line?  Most of the thread was
> > irrelevant to the real problem, which was just discovered now.  Why
> > punish me by forcing me to wade through all that?
> 
> Did I not "tell the bottom line"?

No.

> Did I write _only_ "please read the thread"?
> 
> I pointed you to the file you asked about (and I gave you the recipe again).

I asked for the file's contents, not for a pointer.

You said:

> Please read the thread. It is the attachment, `pared-hist', that I sent to the
> second mail (the attachment to the first mail, `emacs-history', likewise, but
> the second one is much smaller and is sufficient to reproduce the problem).

The only reasonable way to find ``the second mail'' in a thread that
is going on for several days is to go to the bug tracker site and
start reading the whole chain from the beginning, then download the
file attachment, etc.  But if I wanted to do that, I wouldn't be
asking for the file's contents, would I?

> Do you need me to attach the file again? I can do that.

No need, Michael solved it by showing me the offending one-liner.